# implied role

Identity v3

## implied role create

Creates an association between prior and implied roles

    openstack implied role create --implied-role <role> <role>

--implied-role <role>

  <role> (name or ID) implied by another role

role

  Role (name or ID) that implies another role

## implied role delete

Deletes an association between prior and implied roles

    openstack implied role delete --implied-role <role> <role>

--implied-role <role>

  <role> (name or ID) implied by another role

role

  Role (name or ID) that implies another role

## implied role list

List implied roles

    openstack implied role list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.